<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>5. lekce</title>
</head>
<body>
    
    <div id="root">
        <h1 id="heading-1" class="headings hs h1" name="nadpis-urovne-1">Nadpis urvovne 1</h1>

        <h2 id="heading-2" class="headings hs h2">Podnadpis urovne 2</h2>
        <p>Tady bude nejaky <strong>delsi</strong> text jako ze blok textu.</p>

        <h2 id="heading-2-2" class="headings hs h2">Druhy podnadpis urovne 2</h2>
        <p>Dalsi text.</p>
    </div>

    <script>
        // jak ziskat element h1 pomoci id
        const h1Id = document.getElementById("heading-1");
        console.log(h1Id);

        // jak ziskat elementy dle trid
        const headingsClasses = document.getElementsByClassName("headings");
        // vypsani vsech HTML kolekci - pole
        console.log(headingsClasses);
        // vypsani posledniho v HTML kolekci - pole
        console.log(headingsClasses[headingsClasses.length - 1]);

        const h1Name = document.getElementsByName("nadpis-urovne-1");
        console.log(h1Name);

        const h1TagName = document.getElementsByTagName("h1");
        console.log(h1TagName);

        const querySelector = document.querySelector('[name="nadpis-urovne-1"]');
        console.log(querySelector);


    </script>

</body>
</html>